Page MenuHomePhabricator

reinstall osmium with jessie
Closed, ResolvedPublic0 Story Points

Description

osmium is the "VisualEditor performance testing rig"

it runs on trusty. reinstall it with jessie after talking with VE testing people

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 11:44 PM

@Catrope if we want to reinstall this, who should we give a heads up, and do we need to save data?

fgiunchedi triaged this task as Normal priority.Apr 27 2016, 3:07 PM
Dzahn added a subscriber: Peachey88.

@Peachey88 that wasn't a blocking task for T123525 since this a trusty system and not precise

osmium also appears in T136562 for not having RAID. so that should also be done as part of this task

see T83861#919541 - this was setup without RAID to be like mw servers

Jdforrester-WMF added subscribers: ori, Jdforrester-WMF.

Please feel free. I don't think we've used the server for a while, though, so it should be good to return to the pool for other use unless @ori (who set it up) thinks we still need it.

Jdforrester-WMF set the point value for this task to 0.

Change 299878 had a related patch set uploaded (by Dzahn):
install_server: let osmium use jessie-installer

https://gerrit.wikimedia.org/r/299878

Change 299879 had a related patch set uploaded (by Dzahn):
install_server: let osmium use mw-raid1 partman

https://gerrit.wikimedia.org/r/299879

Change 299889 had a related patch set uploaded (by Dzahn):
osmium: rsync home dirs to hafnium for migration

https://gerrit.wikimedia.org/r/299889

Change 299878 merged by Dzahn:
install_server: let osmium use jessie-installer

https://gerrit.wikimedia.org/r/299878

Change 299879 merged by Dzahn:
install_server: let osmium use mw-raid1 partman

https://gerrit.wikimedia.org/r/299879

Change 299889 merged by Dzahn:
osmium: rsync home dirs to hafnium for migration

https://gerrit.wikimedia.org/r/299889

Change 299908 had a related patch set uploaded (by Dzahn):
osmium: also copy /srv for migration

https://gerrit.wikimedia.org/r/299908

Change 299908 merged by Dzahn:
osmium: also copy /srv for migration

https://gerrit.wikimedia.org/r/299908

Change 299911 had a related patch set uploaded (by Dzahn):
osmium: copy data back from hafnium after upgrade

https://gerrit.wikimedia.org/r/299911

Change 299911 merged by Dzahn:
osmium: copy data back from hafnium after upgrade

https://gerrit.wikimedia.org/r/299911

reinstalled with jessie,

then after first boot:

18:11 < mutante> "mdadm: No devices listed in conf file were found.
18:14 < mutante> ALERT! /dev/disk/by-uuid/c43c1343-738b-40f6-8e82-63d73db9867f does not e!
18:14 < mutante> feels like a bug we had before

so i went to grub during boot and selected the second option that was there, a 3.16 kernel, and with that it just worked

18:22 < mutante> yep, it boots with 3.16.04, but not with 4.4

so then:

21:41 < mutante> !log osmium edit grub config to boot second entry (3.16), update-grub, reboot
21:44 < mutante> !log osmium result: boots into 4.4 kernel which would not work before.. lol
21:45 < mutante> menu entry 2 then i guess

21:51 < mutante> !log osmium - rsyncing /home , /srv (except /srv/mediawiki created by puppet) back from temp backup on hafnium

The new fingerprints i put on https://wikitech.wikimedia.org/wiki/Osmium

current issue:

22:01 < mutante> !log osmium package chromium-browser is missing after upgrade, refered to by jsbench

E: Package 'chromium-browser' has no installation candidate

Dzahn added a comment.EditedJul 20 2016, 5:08 AM

@ori @tstarling

I rsynced -avp the entire /home and entire /srv (minus /srv/mediawiki which got recreated by puppet and was quite large temp over to hafnium, then back to osmium after reinstall. You should find these files as before.

It is now up with jessie and the same roles as before.

A current issue on puppet run is that the chromium-browser package is missing.

Dzahn closed this task as Resolved.

Change 300425 had a related patch set uploaded (by Dzahn):
jsbench: add systemd compat for jsbench-browser

https://gerrit.wikimedia.org/r/300425

Change 300425 merged by Dzahn:
jsbench: add systemd compat for jsbench-browser

https://gerrit.wikimedia.org/r/300425